<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <title>JSON Signature Form</title>
</head>
<body>
    <h1>Signature JSON Form</h1>

    <div id="api-zone" class="input-group" ondrop="dropHandler(event);" ondragover="dragOverHandler(event);">
        <select class="form-select" name="k8node" id="routeType">
            <option value="">--Please choose infra--</option>
            <option value="https://aster-x.demo23.gxfs.fr">DEMO23 (aster-x.demo23.gxfs.fr)</option>
            <option value="https://abc-federation.gaia-x.community">DEMO22 (abc-federation.gaia-x.community)</option>
            <option value="https://abc-federation.dev.gaiax.ovh">DEV: (abc-federation.dev.gaiax.ovh)</option>
        </select>

        <div class="input-group-prepend">
          <span class="input-group-text">API Key</span>
        </div>
        <input type="password" id="api-key">
        <button type="button" class="btn btn-primary" id="loadKey"> Store </button>
    </div>

    <div id="drop-zone" ondrop="dropHandler(event);" ondragover="dragOverHandler(event);">
        <h2>Drop your JSON file(s) here</h2>
        <br/>
        <input id="file-input" class="form-control form-control-lg" type="file" onchange="fileHandler(event);" multiple>
    </div>

    <div id="vc-table-zone">
        <!-- La liste des fichiers déposés sera affichée ici -->
        <table id="file-table" style="width:100%" class="table table-bordered table-hover">
            <thead>
                <tr>
                    <th>Filename</th>
                    <th>Data to sign</th>
                    <th>Delete</th>
                    <th>Sign</th>
                    <th>Signed Data</th>
                    <th>Dowload</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>

    
    <div class="alert alert-success" id="vp-success" role="alert">
        This is a success alert—check it out!
    </div>
    <div class="alert alert-danger" id="vp-error" role="alert">
        This is a success alert—check it out!
    </div>
    <div id="vp_json"></div>
    <button type="button" class="btn btn-primary" onclick="genVP();"> Generate VP </button>
    <!--<button type="button" class="btn btn-primary" onclick="signVP();"> Sign VP </button>-->

    <script src="script.js"></script>
</body>
</html>
